public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Ionen Wolkens" <ionen@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/mingw64-toolchain/
Date: Sat, 20 Aug 2022 13:45:04 +0000 (UTC)	[thread overview]
Message-ID: <1661002292.c4262506ff492b96cddccb15e1fe1842d8d5a626.ionen@gentoo> (raw)

commit:     c4262506ff492b96cddccb15e1fe1842d8d5a626
Author:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 20 08:47:29 2022 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Sat Aug 20 13:31:32 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c4262506

dev-util/mingw64-toolchain: minor adjustments

* add MINGW_PV, comment says to use _p1++ but was unhandled
* cleanup symlinks for duplicates, upon closer look these are
  hardlinks which is good enough
* pass --disable-werror for gcc, binutils doesn't but gcc was
  using it in a few places

Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 .../mingw64-toolchain-10.0.0-r1.ebuild                  | 17 ++++-------------
 1 file changed, 4 insertions(+), 13 deletions(-)

diff --git a/dev-util/mingw64-toolchain/mingw64-toolchain-10.0.0-r1.ebuild b/dev-util/mingw64-toolchain/mingw64-toolchain-10.0.0-r1.ebuild
index 1af4218042da..2ae2ce9b80cb 100644
--- a/dev-util/mingw64-toolchain/mingw64-toolchain-10.0.0-r1.ebuild
+++ b/dev-util/mingw64-toolchain/mingw64-toolchain-10.0.0-r1.ebuild
@@ -12,6 +12,7 @@ inherit edo flag-o-matic multilib-build toolchain-funcs
 # Do _p1++ rather than revbump if changing without bumping mingw64 itself.
 BINUTILS_PV=2.37 # 2.38 needs bug #838106
 GCC_PV=11.3.0
+MINGW_PV=$(ver_cut 1-3)
 
 DESCRIPTION="All-in-one mingw64 toolchain intended for building Wine without crossdev"
 HOMEPAGE="
@@ -19,7 +20,7 @@ HOMEPAGE="
 	https://gcc.gnu.org/
 	https://sourceware.org/binutils/"
 SRC_URI="
-	mirror://sourceforge/mingw-w64/mingw-w64/mingw-w64-release/mingw-w64-v${PV}.tar.bz2
+	mirror://sourceforge/mingw-w64/mingw-w64/mingw-w64-release/mingw-w64-v${MINGW_PV}.tar.bz2
 	mirror://gnu/gcc/gcc-${GCC_PV}/gcc-${GCC_PV}.tar.xz
 	mirror://gnu/binutils/binutils-${BINUTILS_PV}.tar.xz"
 S="${WORKDIR}"
@@ -58,7 +59,7 @@ src_prepare() {
 	# rename directories to simplify both patching and the ebuild
 	mv binutils{-${BINUTILS_PV},} || die
 	mv gcc{-${GCC_PV},} || die
-	mv mingw-w64-v${PV} mingw64 || die
+	mv mingw-w64-v${MINGW_PV} mingw64 || die
 
 	default
 }
@@ -99,13 +100,6 @@ src_compile() {
 		--without-debuginfod
 	)
 	mwt-binutils() {
-		# replace duplicates with symlinks
-		local bin
-		for bin in "${sysroot}"/${CTARGET}/bin/*; do
-			ln -sf {../${CTARGET}/bin/,"${sysroot}"/bin/${CTARGET}-}${bin##*/} || die
-		done
-		ln -sf ld.bfd "${sysroot}"/${CTARGET}/bin/ld || die
-
 		# symlink gcc's lto plugin for AR (bug #854516)
 		mkdir "${sysroot}"/${CTARGET}/lib/bfd-plugins || die
 		ln -s ../../../libexec/gcc/${CTARGET}/${GCC_PV}/liblto_plugin.so \
@@ -125,6 +119,7 @@ src_compile() {
 		--disable-libssp
 		--disable-libvtv
 		--disable-shared
+		--disable-werror
 		--with-system-zlib
 		--without-isl
 		--without-zstd
@@ -144,10 +139,6 @@ src_compile() {
 		--with-sysroot="${prefix}"
 		--with-build-sysroot="${sysroot}"
 	)
-	mwt-gcc_stage3() {
-		# replace duplicate with symlink
-		ln -sf ${CTARGET}-gcc "${sysroot}"/bin/${CTARGET}-gcc-${GCC_PV} || die
-	}
 
 	# mingw64-runtime (split in several parts, 3 needed for gcc stages)
 	local conf_mingw64=(


             reply	other threads:[~2022-08-20 13:45 UTC|newest]

Thread overview: 54+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-08-20 13:45 Ionen Wolkens [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-03 12:31 [gentoo-commits] repo/gentoo:master commit in: dev-util/mingw64-toolchain/ Ionen Wolkens
2024-07-02 21:09 Jakov Smolić
2024-07-02 21:09 Jakov Smolić
2024-06-06 13:20 Ionen Wolkens
2024-06-02  3:54 Ionen Wolkens
2024-05-30  6:39 Ionen Wolkens
2024-05-22  3:32 Ionen Wolkens
2024-05-21  3:01 Ionen Wolkens
2024-05-10 10:12 Ionen Wolkens
2024-05-10  3:03 Ionen Wolkens
2024-05-07 17:49 Ionen Wolkens
2024-05-07 14:28 Ionen Wolkens
2024-05-07 14:28 Ionen Wolkens
2024-03-24 18:39 Ionen Wolkens
2024-02-22 14:27 Ionen Wolkens
2024-01-16 17:52 Ionen Wolkens
2023-12-22 17:38 Ionen Wolkens
2023-08-27 17:18 Sam James
2023-08-27  1:28 Sam James
2023-08-04  3:25 Ionen Wolkens
2023-08-04  3:25 Ionen Wolkens
2023-07-30 16:52 Ionen Wolkens
2023-07-28  5:16 Ionen Wolkens
2023-07-03 20:55 Ionen Wolkens
2023-06-26 10:12 Ionen Wolkens
2023-05-29 17:49 Arthur Zamarin
2023-05-29 15:06 Sam James
2023-05-19  1:41 Ionen Wolkens
2023-05-11 17:01 Ionen Wolkens
2023-04-29  9:43 Ionen Wolkens
2023-04-26  8:37 Ionen Wolkens
2023-04-26  8:37 Ionen Wolkens
2023-02-01 21:04 Ionen Wolkens
2023-01-15  7:00 Ionen Wolkens
2022-11-12 11:33 Ionen Wolkens
2022-10-31  0:54 Ionen Wolkens
2022-10-23  7:20 Ionen Wolkens
2022-09-16 16:17 Ionen Wolkens
2022-09-16  7:54 Ionen Wolkens
2022-09-16  7:47 Ionen Wolkens
2022-09-14 23:11 Ionen Wolkens
2022-09-14 21:12 Ionen Wolkens
2022-09-14 19:39 Ionen Wolkens
2022-08-29  6:55 Ionen Wolkens
2022-08-29  6:55 Ionen Wolkens
2022-08-20 13:58 Ionen Wolkens
2022-08-20 13:45 Ionen Wolkens
2022-07-16 17:03 Ionen Wolkens
2022-06-28  5:56 Ionen Wolkens
2022-05-28 19:26 Ionen Wolkens
2022-05-17  6:53 Jakov Smolić
2022-05-17  6:53 Jakov Smolić
2022-05-13  6:53 Ionen Wolkens

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1661002292.c4262506ff492b96cddccb15e1fe1842d8d5a626.ionen@gentoo \
    --to=ionen@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox